complexType "MandatoryEarlyTermination"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | mandatoryEarlyTerminationDate?, calculationAgent?, cashSettlement?, mandatoryEarlyTerminationAdjustedDates?
</...>

Content Model Elements (4):

  calculationAgent (in mandatoryEarlyTermination), cashSettlement (in mandatoryEarlyTermination), | mandatoryEarlyTerminationAdjustedDates, mandatoryEarlyTerminationDate

All Direct / Indirect Based Elements (1):

  mandatoryEarlyTermination

Known Usage Locations

- As direct type of elements (1):
  mandatoryEarlyTermination

Annotation
For use with pretrade Credit Limit Check messages. A type to define an early termination provision for which exercise is mandatory.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="MandatoryEarlyTermination"> <xsd:sequence> <xsd:element minOccurs="0" name="mandatoryEarlyTerminationDate" type="AdjustableDate"/> <xsd:element minOccurs="0" name="calculationAgent" type="CalculationAgent"/> <xsd:element minOccurs="0" name="cashSettlement" type="CashSettlement"/> <xsd:element minOccurs="0" name="mandatoryEarlyTerminationAdjustedDates" type="MandatoryEarlyTerminationAdjustedDates"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 4/4)
calculationAgent

  Type: | CalculationAgent, complex content

  The ISDA Calculation Agent responsible for performing duties associated with an optional early termination.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationAgent" type="CalculationAgent"/>

cashSettlement

  Type: | CashSettlement, complex content

  If specified, this means that cash settlement is applicable to the transaction and defines the parameters associated with the cash settlement prodcedure. If not specified, then physical settlement is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="cashSettlement" type="CashSettlement"/>

mandatoryEarlyTerminationAdjustedDates

  Type: | MandatoryEarlyTerminationAdjustedDates, complex content

  The adjusted dates associated with a mandatory early termination provision. These dates have been adjusted for any applicable business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="mandatoryEarlyTerminationAdjustedDates" type="MandatoryEarlyTerminationAdjustedDates"/>

mandatoryEarlyTerminationDate

  Type: | AdjustableDate, complex content

  The early termination date associated with a mandatory early termination of a swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="mandatoryEarlyTerminationDate" type="AdjustableDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.